# $Revision: 1.15 $, $Date: 2004/01/24 20:12:31 $
%include	/usr/lib/rpm/macros.perl
Summary:	A C++ interface for the GTK+ (a GUI library for X)
Summary(pl):	Interfejs C++ dla GTK+ (biblioteki interfejsu graficznego dla X)
Name:		gtkmm1
%define		src_name	gtkmm
Version:	1.2.10
Release:	4
License:	LGPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/gtkmm/%{src_name}-%{version}.tar.gz
# Source0-md5:	a3816bef91a2796c3984b12954cc7fc9
Patch0:		%{name}-link.patch
Patch1:		%{name}-am18.patch
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	libsigc++1-devel >= 1.0.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	rpm-perlprov
BuildRequires:	zlib-devel
Requires:	cpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Gtk--
Obsoletes:	gtkmm < 1.3

%define		_noautoreq	'perl(a)'
%define		_ulibdir	%{_prefix}/lib

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces. This package
contains also GDK-- library, a C++ interface for GDK (General Drawing
Kit) library.

%description -l pl
Pakiet GTK-- udostpnia interfejs C++ dla GTK+. GTK (Gimp ToolKit)
jest bibliotek suc do tworzenia graficznych interfejsw
uytkownika. Interfejs zawiera wygodny interfejs dla programistw C++
do tworzenia graficznych interfejsw uytkownika przy uyciu
elastycznego, zorientowanego obiektowo szkieletu GTK+. Biblioteka
zawiera callbacki z bezpiecznymi typami, widgety rozszerzalne poprzez
dziedziczenie i ponad 110 klas, ktre mona dowolnie czy, aby
szybko stworzy skomplikowane interfejsy uytkownika. W pakiecie
znajduje si take biblioteka GDK--, bdca interfejsem C++ dla GDK
(General Drawing Kit).

%package devel
Summary:	GTK-- and GDK-- header files, development documentation
Summary(pl):	Pliki nagwkowe GTK-- i GDK--, dokumentacja dla programistw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk+-devel >= 1.2.7
Requires:	libsigc++1-devel >= 1.0.4
Obsoletes:	Gtk---devel
Obsoletes:	gtkmm-devel < 1.3

%description devel
Header files and development documentation for GTK-- library.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla programistw do biblioteki GTK--.

%package static
Summary:	GTK-- and GDK-- static libraries
Summary(pl):	Biblioteki statyczne GTK-- i GDK--
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	Gtk---static
Obsoletes:	gtkmm-static < 1.3

%description static
GTK-- and GDK-- static libraries.

%description static -l pl
Biblioteki statyczne GTK-- i GDK--.

%prep
%setup -q -n %{src_name}-%{version}
%patch0 -p1
%patch1 -p1

# AM_ACLOCAL_INCLUDE
tail -n +161 aclocal.m4 | head -n 16 > acinclude.m4
# GNOME_CXX_WARNINGS
tail -n +3762 aclocal.m4 | head -n 53 >> acinclude.m4

%build
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

cp -dpr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__perl} -pi -e 's@#!/usr/bin/env perl@#!/usr/bin/perl@' \
	$RPM_BUILD_ROOT%{_bindir}/gtkmmconvert

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_libdir}/libgdkmm*.so.*.*
%attr(755,root,root) %{_libdir}/libgtkmm*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_ulibdir}/gtkmm
%if "%{_ulibdir}" != "%{_libdir}"
%dir %{_libdir}/gtkmm
%endif
%{_libdir}/gtkmm/include
%dir %{_ulibdir}/gtkmm/proc
%{_ulibdir}/gtkmm/proc/*.m4
%attr(755,root,root) %{_ulibdir}/gtkmm/proc/gtkmmproc
%{_includedir}/*
%{_aclocaldir}/*
%{_examplesdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkmm1.spec,v $
Revision 1.15  2004/01/24 20:12:31  undefine
- release 4

Revision 1.14  2004/01/24 19:57:23  undefine
- fix build on amd64

Revision 1.13  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.12  2003/12/28 17:22:11  qboosh
- added am18 patch (gtk--.m4 quotation fix)
- removed unused BR imlib-devel, added versions to some deps, release 3

Revision 1.11  2003/08/09 15:37:12  qboosh
- added link patch (link libs with other used libs)
- BR proper libtool version to link with libstdc++
- added Obsoletes for gtkmm < 1.3
- release 2

Revision 1.10  2003/07/14 12:55:07  qboosh
- rpm wants to use perlprov, so be it - but added _noautoreq for bogus perl(a)
- changed gtkmmconvert to use /usr/bin/perl directly

Revision 1.9  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.8  2003/05/30 13:26:46  misi3k
- fixed BR: gtk+

Revision 1.7  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:48:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.4  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.3  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/27 14:55:28  ankry
- fixed rename

Revision 1.1  2002/10/26 20:00:59  wrobell
- gtkmm1 based on gtkmm 1.2

Revision 1.40  2002/10/13 18:28:02  qboosh
- typo

Revision 1.39  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.38  2002/07/13 16:33:33  mmazur
- updated to 1.2.10; rel 1; STBR
- use new %doc

Revision 1.37  2002/04/27 15:03:46  qboosh
- replaced libsigc++ with libsigc++1 in R/BR (incompatible with 1.1.x)
- removed all gnomemm remains from spec (gnomemm is now separate package)
- release 2

Revision 1.36  2002/04/25 16:31:24  arturs
fixed a small typo

Revision 1.35  2002/04/22 19:42:52  mmazur
- updated to 1.2.9; rel1; STBR

Revision 1.34  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/31 23:19:18  filon
- updated to 1.2.8 (gcc3 ready)

Revision 1.31  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/11/02 17:53:39  qboosh
- adapterized
- release 4: rebuild with current libsigc++ to get correct sigc-config --cflags

Revision 1.29  2001/09/26 03:34:56  blues
- release 3
- configure2_13 used

Revision 1.28  2001/05/22 09:06:22  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.27  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.26  2001/04/06 23:22:39  kloczek
- release 2.

Revision 1.25  2001/03/23 17:12:36  qboosh
- _without_gnome

Revision 1.24  2001/02/19 01:53:29  kloczek
- updated to 1.2.5.

Revision 1.23  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.22  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.21  2000/11/19 21:56:52  kloczek
- updated to 1.2.4.

Revision 1.20  2000/10/30 08:44:22  kloczek
- added "Requires: libsigc++-devel" for devel.

Revision 1.19  2000/10/30 08:39:42  kloczek
- release 3: added "Requires: libstdc++-devel" for devel subpackage.

Revision 1.18  2000/10/01 00:24:27  kloczek
- release 2,
- spec %%{debug} ready,
- use rpm new automation suit.

Revision 1.17  2000/09/10 03:20:12  kloczek
- updated to 1.2.3.

Revision 1.16  2000/08/16 20:42:48  kloczek
- updated to 1.2.2.

Revision 1.15  2000/07/15 06:19:08  kloczek
- release 2.

Revision 1.14  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.13  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/22 13:17:29  kloczek
- release 1.

Revision 1.10  2000/05/22 10:42:45  bonkey
- upgraded to 1.2.1

Revision 1.9  2000/05/20 13:58:20  kloczek
- spec adapterized.

Revision 1.8  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.7  2000/04/30 18:06:07  mkochano
- 755,root,root gtkmmproc. It's a shell script.

Revision 1.6  2000/04/26 17:24:06  mkochano
- Added 'Requires: gtk+-devel' to 'devel' package.

Revision 1.5  2000/04/16 00:46:10  kloczek
- removed gnome subpackage (this is now in separated package gnome--).

Revision 1.4  2000/04/15 20:25:40  kloczek
- removed outdated %%{_libdir}/*.sh from %files.

Revision 1.3  2000/04/15 19:35:38  kloczek
- updated to 1.2.0.

Revision 1.2  2000/04/04 07:27:19  kloczek
- updated to 1.1.8,
- added using %%{_aclocaldir} macro,
- updated %files list,
- added Obsoletes for Gtk--* packages,
- removed -fno-rtti from CXXFLAGS (curren version requires rtti).

Revision 1.1  2000/04/04 02:04:14  kloczek
- moved from Gtk--.
